/*  csimeqn.cpp -- solve complex simultaneous equations
 *  (C) 1998, C. Bond
 *
 *  Based on Engineering and Scientific Computations in Pascal,
 *  by Lawrence P. Huelsman
 */
#include <stdio.h>
#include <math.h>
#include <complex>
#include "engsci.h"

void CmplxSimEqn(complex<double> v[],complex<double> *z[],
    complex<double> amps[],int n)
{
    int i,j,k,np,flag;
    complex<double> beta,alfa,temp;
    complex<double> za[20][20];

    for (i=0;i<n;i++) {
        for (j=0;j<n;j++) {
            za[i][j] = z[i][j];
            za[i][n] = v[i];
        }
    }
    for (i=0;i<n;i++) {
        alfa = za[i][i];
        if (Mag(alfa) < 0.0001)
            flag = 1;
        else
            flag = 0;
        for (j=i;j<=n;j++) {
            za[i][j] /= alfa;
        }
        for (k=0;k<n;k++) {
            if (k != i) {
                beta = za[k][i];
                for (j=i;j<=n;j++) {
                    temp = beta * za[i][j];
                    za[k][j] -= temp;
                }
            }
        }
    }
    for (i=0;i<n;i++) {
        amps[i] = za[i][n];
    }
    if (flag == 1) {
        printf("\nError! Main diagonal element is zero.\n");
    }
}





