/*  csimtst.cpp -- test for solution of complex simultaneous equations */
/*  Compile with csimeqn, cmplx, and impmesh */
#include <stdio.h>
#include <math.h>
#include <complex>
#include "engsci.h"

void main()
{
    int nMesh,nz,i,j;
    int mesh1[20],mesh2[20];
    double re,im;
    complex<double> imped[20];
    complex<double> **z;
    complex<double> v[20],amps[20];

    z = new complex<double> *[10];
    for (i=0;i<10;i++)
        z[i] = new complex<double> [10];
    cout << " Number of meshes : ";
    cin  >> nMesh;
    cout << " Number of impedances : ";
    cin >> nz;
    cout << " Mesh1 Mesh2 Z.re Z.im" << endl;

    for (i=0;i<nz;i++) {
        printf(" %d ",i+1);
        scanf("%d %d %lf %lf",&mesh1[i],&mesh2[i],&re,&im);
        imped[i] = complex<double>(re,im);
    }
    cout << " i V.re V.im" << endl;
    for (i=0;i<nMesh;i++) {
        printf(" %d ",i+1);
        scanf("%lf %lf",&re, &im);
        v[i] = complex<double>(re,im);
    }
    ImpedMesh(nMesh,nz,imped,mesh1,mesh2,z);
    printf("      Impedance Matrix\n");
    for (i=0;i<nMesh;i++) {
        for (j=0;j<nMesh;j++) {
            cout << z[i][j] << "  ";
        }
        cout << endl;
    }
    CmplxSimEqn(v,z,amps,nMesh);
    cout << endl;
    cout << " I        AMPS" << endl;
    for (i=0;i<nMesh;i++) {
        cout << i << amps[i] << endl;
    }
    delete [] z;
}
