/*  impmesh.cpp -- generate impedance matrix from values and mesh numbers
 *  (C) 1998, C. Bond
 *  Based on Engineering and Scientific Computations in Pascal,
 *  by Lawrence P. Huelsman
 */
#include <math.h>
#include <complex>
void ImpedMesh(int nMesh,int nz,complex<double> imped[],int mesh1[],
    int mesh2[],complex<double> *z[])
{
    int i,j,k;
    for (i=0;i<nMesh;i++) {
        for (j=0;j<nMesh;j++) {
            z[i][j] = 0.0;
        }
    }
    for (i=0;i<nz;i++) {
        j = mesh1[i];
        k = mesh2[i];
        if (k > 0) {
            z[k-1][k-1] += imped[i];
            z[j-1][k-1] -= imped[i];
            z[k-1][j-1] = z[j-1][k-1];
        }
        z[j-1][j-1] += imped[i];
    }
//    for (i=0;i<nMesh;i++) {
//        for (j=0;j<nMesh;j++) {
//            cout << z[i][j] << "  ";
//        }
//        cout << endl;
//    }
}
