/*  logincr.cpp -- test of sinusoidal steady state functions */
#include <math.h>
#include <complex>
#include <stdio.h>
#include "engsci.h"

const double mscale = 100.0;
const double pscale = 0.5;

void main()
{
    double rad;
    complex<double> vcart,vpolar;
    double pltMag[100],pltPhase[100];
    double a[20],b[20];
    int m,n,i;

    pltMag[0] = 0.0;
    pltPhase[0] = 90.0 * pscale;
    printf(" Order of numerator : ");
    scanf("%d",&m);
    for (i=0;i<=m;i++) {
        scanf("%lf",&a[i]);
        printf("%d, %lf \n",i,a[i]);
    }
    printf(" Order of denominator : ");
    scanf("%d", &n);
    for (i=0;i<=n;i++) {
        scanf("%lf",&b[i]);
        printf("%d, %lf \n",i,b[i]);
    }
    for (i=1;i<50;i++) {
        rad = i;
        SinStdySt(m,a,n,b,rad,&vcart,&vpolar);
        pltMag[i] = real(vpolar) * mscale;
        pltPhase[i] = imag(vpolar) * pscale * 57.2958;
    }
    for (i=0;i<50;i++) {
        printf("%lf,  %lf\n",pltMag[i],pltPhase[i]);
    }
}
