/*  magtst.cpp -- test of CmplxSimEqn to analysis of network */
#include <stdio.h>
#include <math.h>
#include <complex>
#include "engsci.h"

void main()
{
    int n=2,nz=5;
    int i;
    int mesh1[20],mesh2[20];
    complex<double> imped[20];
    complex<double> v[10],amps[10];
    double w,dw;
    complex<double> **z;
    double plt[100];

    z = new complex<double> *[20];
    for (i=0;i<20;i++)
        z[i] = new complex<double> [20];
    imped[0] = complex<double>(1,0);
    imped[1] = complex<double>(0.0);
    imped[2] = complex<double>(0.0);
    imped[3] = complex<double>(0.0);
    imped[4] = complex<double>(1.0,0.0);
    mesh1[0] = 1;
    mesh1[1] = 1;
    mesh1[2] = 1;
    mesh1[3] = 2;
    mesh1[4] = 2;
    mesh2[0] = 0;
    mesh2[1] = 0;
    mesh2[2] = 2;
    mesh2[3] = 0;
    mesh2[4] = 0;
    v[0] = complex<double>(1.0,0.0);
    v[1] = complex<double>(0.0);
    w = 0.00001;
    dw = 0.05;
    for (i=0;i<50;i++) {
        imped[1] = complex<double>(0,w);
        imped[2] = complex<double>(0,-0.5/w);
        imped[3] = complex<double>(0,w);
        ImpedMesh(n,nz,imped,mesh1,mesh2,z);
        CmplxSimEqn(v,z,amps,n);
        plt[i] = Mag(amps[1]);
        w += dw;
    }
    for (i=0;i<50;i++) {
        printf("%lf\n",plt[i]);
    }
}

