/*  parfrac.cpp -- find residues of poles of rational function 
 *  (C) 1998, C. Bond
 *  Based on Engineering and Scientific Computations in Pascal,
 *  by Lawrence P. Huelsman.
 */
#include <math.h>
#include <complex>
#include "cmplx.h"

void ParFrac(int m,double a[],int n,double b[],complex<double> p[],
    complex<double> r[])
{
    int i;
    complex<double> w,z;
    double c[20];

    DifPoly(n,b,c);

    for (i=0;i<n;i++) {
        w = ValPoly(m,a,p[i]);
//        DifPoly(n,b,c);           // Move this line outside of loop!
        z = ValPoly(n-1,c,p[i]);
        r[i] = w / z;
    }
}
