/*  sinstdst.cpp -- Sinusoidal steady state
 *  (C) 1998, C. Bond
 *  Based on Engineering and Scientific Computations in Pascal,
 *  by Lawrence P. Huelsman
 */
#include <math.h>
#include <complex>
#include "engsci.h"

void SinStdySt(int m,double a[],int n,double b[],double omega,
    complex<double> *vcart,complex<double> *vpolar)
{
    complex<double> s,numVal,denVal,val;

    s = complex<double>(0.0,omega);
    numVal = ValPoly(m,a,s);
    denVal = ValPoly(n,b,s);
    val = numVal / denVal;
    *vcart = val;
    *vpolar = complex<double>(Mag(val),Arg(val));
}
